php.net |  support |  documentation |  report a bug |  advanced search |  search howto |  statistics |  random bug |  login
Bug #77508 after upgrading to php 7.3.1 using php -v through an error but works
Submitted: 2019-01-23 15:40 UTC Modified: 2019-06-13 18:30 UTC
Votes:2
Avg. Score:3.0 ± 0.0
Reproduced:1 of 1 (100.0%)
Same Version:0 (0.0%)
Same OS:1 (100.0%)
From: mkaszuba at nexicom dot net Assigned: ericsten (profile)
Status: Closed Package: WinCache (PECL)
PHP Version: 7.3.1 OS: server 2016
Private report: No CVE-ID: None
 [2019-01-23 15:40 UTC] mkaszuba at nexicom dot net
Description:
------------
I was using 7.2.7 of php just fine, when I attempted to update to 7.3.1.

When I run php -v at the command prompt, I get this error:

The procedure entry point _array_init could not be located in the dynamic link library c:\program files\PHP\v7.3\ext\php_wincache.dll

Admittedly, I have winchache 2.0.0.8 on the system as that seems to be the most current version.

After I click OK on the windows notification box, the desired effect happens. I get the version information for PHP I am using.


Patches

Add a Patch

Pull Requests

Add a Pull Request

History

AllCommentsChangesGit/SVN commitsRelated reports
 [2019-06-13 18:30 UTC] ericsten@php.net
-Status: Open +Status: Closed -Assigned To: +Assigned To: ericsten
 [2019-06-13 18:30 UTC] ericsten@php.net
WinCache for PHP 7.3 does not yet exist.
The version of WinCache must match the version of PHP you are attempting to load.  If you attempt to use the WinCache for PHP 7.2 with PHP 7.3, it will fail to load.  This is because the PHP/Zend core internals change on every release, and WinCache has an intimate dependency on the core internals.
 
PHP Copyright © 2001-2019 The PHP Group
All rights reserved.
Last updated: Tue Jul 16 06:01:26 2019 UTC